﻿package script{

	/*
	 * AINE - Accelerated Interactive Narrator Engine
	 * @version 0.4.2 ALPHA
	 * @author Daniel Svejstrup Christensen
	 * @see http://www.drakkashi.com/aine/ for updates
	 * This software is released under the MIT License <http://www.opensource.org/licenses/mit-license.php>
	 * Copyright © 2014 Drakkashi.com
	 */

	public class Output{

		public static function print(str:String):void{
			trace(str);
		}

		public static function warn(str:String, dir:String = null, line:int = -1):void{
			if (str){
				if (dir && line >= 0)
					print("[" + dir + ", Line " + line + "] Warning: " + str);
				else
					print("Warning: " + str);
			}
		}

		public static function err(str:String, dir:String = null, line:int = -1):void{
			if (str){
				if (dir && line >= 0)
					print("[" + dir + ", Line " + line + "] Error: " + str);
				else
					print("Error: " + str);
			}
		}
	}
}